List Amenities
curl --request GET \
--url https://data.apartmentiq.io/apartmentiq/api/v2/amenities \
--header 'Authorization: Bearer <token>'import requests
url = "https://data.apartmentiq.io/apartmentiq/api/v2/amenities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data.apartmentiq.io/apartmentiq/api/v2/amenities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amenities": [
{
"id": 101,
"name": "Swimming Pool",
"category": "Community"
},
{
"id": 118,
"name": "Fitness Center",
"category": "Community"
},
{
"id": 244,
"name": "In-Unit Washer and Dryer",
"category": "Unit"
},
{
"id": 317,
"name": "Covered Parking",
"category": "Parking"
}
]
}{
"error": "<string>",
"message": "<string>",
"quota_limit": 123,
"quota_usage": 123
}"You have exceeded the rate limit for this API.\n"Amenities
List Amenities
List active amenities available for property filtering.
GET
/
amenities
List Amenities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ApartmentIQ account ID used to set the request account context.
Response
Active amenities.
List of active amenities available for filtering.
Active amenities available for filtering.
Show child attributes
Show child attributes
⌘I